package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.annotation.FieldDescriber;
import com.sun.org.glassfish.gmbal.Description;
import org.hibernate.validator.constraints.NotEmpty;

public class DataOfflineConferenceModel {

    private Long publishSettingId ;

    @NotEmpty
    @FieldDescriber(descripton = "资源需求")
    private String requirement ;    //资源需求
    @NotEmpty
    @FieldDescriber(descripton = "使用意向")
    private String usages ;          //使用意向

    @NotEmpty
    @FieldDescriber(descripton = "联系人")
    private String contact ;    //联系人

    @NotEmpty
    @FieldDescriber(descripton = "联系电话")
    private String phone ;      //联系电话

    public Long getPublishSettingId() {
        return publishSettingId;
    }

    public void setPublishSettingId(Long publishSettingId) {
        this.publishSettingId = publishSettingId;
    }

    public String getRequirement() {
        return requirement;
    }

    public void setRequirement(String requirement) {
        this.requirement = requirement;
    }

    public String getUsages() {
        return usages;
    }

    public void setUsages(String usages) {
        this.usages = usages;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }
}
